define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'classes/index' + location.search,
                    add_url: 'classes/add',
                    edit_url: 'classes/edit',
                    del_url: 'classes/del',
                    multi_url: 'classes/multi',
                    import_url: 'classes/import',
                    table: 'classes',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'weigh',
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('Id')},
//                        {field: 'school_id', title: __('School_id')},
//                        {field: 'grade_id', title: __('Grade_id')},
                        {field: 'classname', title: __('Classname'), operate: 'LIKE'},
                        {field: 'weigh', title: __('Weigh'), operate: false},
                        {field: 'school.schoolname', title: __('School.schoolname'), operate: 'LIKE'},
                        {field: 'grade.gradename', title: __('Grade.gradename'), operate: 'LIKE'},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});
$("#c-grade_id").data("params", function (obj) {
    return {
        custom: {school_id: $("#c-school_id").val()}
    };
});
$(document).on("change","#c-school_id",function(){
    $("#c-grade_id").selectPageClear();
})
